aboutsummaryrefslogtreecommitdiff
path: root/git-filter-branch.sh
diff options
context:
space:
mode:
authorDan Loewenherz <daniel.loewenherz@yale.edu>2009-04-22 21:46:02 -0400
committerJunio C Hamano <gitster@pobox.com>2009-04-22 19:05:37 -0700
commit7bd93c1c625ce5fa03f0d13d728f34f8ab868991 (patch)
tree5e931912f8778ca8d6115347034041eaa9dc0964 /git-filter-branch.sh
parentb18cc5a3b2f64364d2c7d3560066852728a6c666 (diff)
downloadgit-7bd93c1c625ce5fa03f0d13d728f34f8ab868991.tar.gz
git-7bd93c1c625ce5fa03f0d13d728f34f8ab868991.tar.xz
Convert to use quiet option when available
A minor fix that eliminates usage of "2>/dev/null" when --quiet or -q has already been implemented. Signed-off-by: Dan Loewenherz <daniel.loewenherz@yale.edu> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-filter-branch.sh')
-rwxr-xr-xgit-filter-branch.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-filter-branch.sh b/git-filter-branch.sh
index b90d3df3a..37e044db4 100755
--- a/git-filter-branch.sh
+++ b/git-filter-branch.sh
@@ -430,7 +430,7 @@ if [ "$filter_tag_name" ]; then
if [ "$type" = "tag" ]; then
# Dereference to a commit
sha1t="$sha1"
- sha1="$(git rev-parse "$sha1"^{commit} 2>/dev/null)" || continue
+ sha1="$(git rev-parse -q "$sha1"^{commit})" || continue
fi
[ -f "../map/$sha1" ] || continue